/*
 * N-Body Methods
 * Copyright (C) 2006 Dustin Lang, Mike Klass, Firas Hamze, Anthony Lee
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef DEFINITIONS_H_
#define DEFINITIONS_H_

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>
#ifndef WINDOWS
#include <sys/time.h>
#endif
#include <math.h>

#define INF 1e100
#ifdef WINDOWS
#define INLINE
#else
#define INLINE inline
#endif

#define POSITIVE_INFLUENCE 1
#define NEGATIVE_INFLUENCE 2
#define MIXED_INFLUENCE 3
#define POSITIVE_WEIGHTS 1
#define NEGATIVE_WEIGHTS 2
#define MIXED_WEIGHTS 3

#endif /*DEFINITIONS_H_*/
