/*
 * N-Body Methods
 * Copyright (C) 2006 Dustin Lang, Mike Klass, Firas Hamze, Anthony Lee
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef DUALTREE_H_
#define DUALTREE_H_

void nbody_sum(double* X, double* Y, double* w, double* kparams, int NP, char* ker_type, int NX,
         int NY, int D, double eps_rel, double eps_abs, char* algorithm, double* result,
         int influence_mode, int weights_mode);

void nbody_max(double* X, double* Y, double* w, double* kparams, int NP, char* ker_type,int NX,
         int NY, int D, int leafsize, char* algorithm, int* indices, double* results,
         int influence_mode, int weights_mode);

#endif /*DUALTREE_H_*/
