/*
 * N-Body Methods
 * Copyright (C) 2006 Dustin Lang, Mike Klass, Firas Hamze, Anthony Lee
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
#ifndef BOXTREE_MAX_H
#define BOXTREE_MAX_H

void boxtree_max(double* X, double* Y, double* w, double* kparams, int NP, char* ker_type,
                      int NX, int NY, int D, int* mginds, double* mginfls,
                      int MIN_PARTICLES_PER_BOX, int BOXES_PER_LEVEL, int treetype, int influence_mode, int weights_mode);

#endif /*BOXTREE_MAX_H*/
