dyn.load("wrapped.so")

APPROX_NAME = c("NAIVE", "ANCHORS", "KDTREE")[3]

n = 50
d = 3

X = matrix(rnorm(n*d), d, n)
y = rnorm(n)

OMEGA = 1e-9

result = rep(0, n)
theta = rnorm(3)
exp_theta = exp(theta)
  

TYPE = which(c("NAIVE", "ANCHORS", "KDTREE") == APPROX_NAME)
TOL_REL = 1e-3
TOL_ABS = 1e-3
res = .C("covariance_matrix_vector_multiplication_fast_cmvps", as.double(X), as.integer(n), as.integer(d), as.double(theta), as.double(exp_theta), as.double(OMEGA), as.double(y), as.double(result), as.integer(TYPE), as.double(TOL_REL), as.double(TOL_ABS))


K = exp(theta[1]) * exp( - exp(theta[3]) * as.matrix(dist(t(X))^2)) + diag(exp(theta[2]) + OMEGA, n)


zz = K %*% y

print(range(res[[8]] - zz))
