/*
 * N-Body Methods
 * Copyright (C) 2006 Dustin Lang, Mike Klass, Firas Hamze, Anthony Lee
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef DOUBLELIST_H_
#define DOUBLELIST_H_

struct doublelist {
    double* array;
    int size;
    int capacity;
};
typedef struct doublelist doublelist;

doublelist* doublelist_new();
void doublelist_free(doublelist* dl);
void doublelist_copy(doublelist* dl, int num, double* dest);
void doublelist_append(doublelist* dl, double d);

#endif /*DOUBLELIST_H_*/
